# $Revision: 1.12 $, $Date: 2012/01/12 16:44:33 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	IDN-Nameprep
Summary:	IDN nameprep tools
Summary(pl.UTF-8):	Narzędzia obsługujące specyfikację IDN nameprep
Name:		perl-Net-IDN-Nameprep
Version:	1.101
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/CFAERBER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	716a9400c55bde1c20136b0bef585557
URL:		http://search.cpan.org/dist/IDN-Nameprep/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Unicode-Stringprep >= 1.1
%endif
%if %{with tests}
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-NoWarnings
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::IDN::Nameprep implements IDN nameprep specification. This module
exports only one function called nameprep.

%description -l pl.UTF-8
Net::IDN::Nameprep jest implementacją specyfikacji IDN nameprep. Ten
moduł eksportuje tylko jedną funkcję o nazwie nameprep.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/IDN/Nameprep.pm
%{_mandir}/man3/Net::IDN::Nameprep.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-IDN-Nameprep.spec,v $
Revision 1.12  2012/01/12 16:44:33  zbyniu
- up to 1.101

Revision 1.11  2010/12/07 17:53:12  qboosh
- updated to 1.100

Revision 1.10  2008/07/25 09:59:09  gotar
- added missing autodeps bcond definition

Revision 1.9  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.7  2006/08/25 21:25:04  radek
- release 2: BR: perl-Unicode-String for tests

Revision 1.6  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.5  2004/11/03 22:30:36  paladine
- formatting

Revision 1.4  2004/08/01 23:22:03  ankry
- removed dir belonging to perl-base, rel. 3

Revision 1.3  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.2  2004/05/31 17:01:12  qboosh
- pl, added vendorlib/Net/IDN dir; release 2

Revision 1.1  2004/05/31 07:35:59  adamg
- new
